Subject: bug#64575: 29.0.92; Help buffers are unnecessarily under Outline mode

From: Visuwesh <[email-masked]>
Date: Sun, 23 Jul 2023 18:46:12 +0530

[புதன் ஜூலை 12, 2023] Juri Linkov wrote:

>> The *Help* buffer is still under Outline minor mode, although it now
>> makes no sense, since there are no heading lines in the buffer.
>
> But it has no adverse effect.  OTOH, when some Help command
> will insert a heading line, then it will be handled automatically.
> For example, 'C-h m' (describe-mode) could take advantage of
> outline-minor-mode with heading lines for every displayed minor mode.

I'm not sure if this issue was fixed in emacs-29 but: after C-h b, say
'C-h f url-retrieve RET' and move the point to the line that says "Each
pair is one of:" and type TAB.  This unintentionally hides text in the
*Help* buffer.